#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  alsa-plugins-1.2.2

- Next

  alsa-tools-1.2.2

- Up
- Home

# alsa-utils-1.2.4

## Introduction to ALSA Utilities

The ALSA Utilities package contains various utilities which are useful for controlling your sound card.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://www.alsa-project.org/files/pub/utils/alsa-utils-1.2.4.tar.bz2

- Download (FTP): ftp://ftp.alsa-project.org/pub/utils/alsa-utils-1.2.4.tar.bz2

- Download MD5 sum: 39cde1fa4fde9f09366737fb089a9053

- Download size: 1.2 MB

- Estimated disk space required: 16 MB

- Estimated build time: 0.1 SBU

### ALSA Utilities Dependencies

#### Required

alsa-lib-1.2.4

#### Optional

docutils-0.16, fftw-3.3.9, libsamplerate-0.2.1, xmlto-0.0.28, and Dialog

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/alsa-utils

## Installation of ALSA Utilities

Install ALSA Utilities by running the following commands:

    ./configure --disable-alsaconf \
                --disable-bat   \
                --disable-xmlto \
                --with-curses=ncursesw &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-alsaconf`: This switch disables building the alsaconf configuration tool which is incompatible with Udev.

`--disable-xmlto`: Omit this switch if you have installed xmlto-0.0.28 and wish to regenerate the man pages.

`--disable-bat`: Omit this switch if you have installed fftw-3.3.9 and wish to install the Basic Audio Tester (BAT).

`--with-curses=ncursesw`: This switch forces the use of wide-character ncurses libraries.

## Configuring ALSA Utilities

###

#### Config Files

`/var/lib/alsa/asound.state`

###

#### Configuration Information

Note that all channels of your sound card are muted by default. You can use the alsamixer program to change this. Use speaker-test to check that your settings have been applied correctly. You should hear “pink noise” on your speakers.

The `alsactl` program is normally run from a standard udev rule. The first time it is run, it will complain that there is no state in `/var/lib/alsa/asound.state`. You can prevent this by running the following command as the `root` user:

    alsactl -L store

The volume settings should be restored from the saved state by Udev when the device is detected (during boot or when plugged in for USB devices).

All sound devices are not accessible for any user except `root` and members of the `audio` group. Add any users that might use the sound devices to that group:

    usermod -a -G audio <username>

### Note

You may need to log out and back in again to refresh your group memberships. 'su `<username>`' should work as well.

## Contents

Installed Programs: aconnect, alsactl, alsaloop, alsamixer, alsatplg, alsaucm, alsa-info.sh, amidi, amixer, aplay, aplaymidi, arecord (symlink), arecordmidi, aseqdump, aseqnet, axfer, iecset, and speaker-test
Installed Libraries: None
Installed Directories: /usr/share/sounds/alsa and /var/lib/alsa

### Short Descriptions

aconnect | is a utility for connecting and disconnecting two existing ports in the ALSA sequencer system
alsactl | is used to control advanced settings for ALSA sound card drivers. Use this if alsamixer cannot utilize all of your sound card's features
alsaloop | allows creation of a PCM loopback between a PCM capture device and a PCM playback device
alsamixer | is an Ncurses based mixer program for use with the ALSA sound card drivers
alsatplg | is a utility used to compile topology configuration files into binary files for kernel drivers
alsaucm | allows applications to access the hardware in an abstracted manner
amidi | is used to read from and write to ALSA RawMIDI ports
amixer | allows command-line control of the mixers for the ALSA sound card drivers
aplay | is a command-line soundfile player for the ALSA sound card drivers
aplaymidi | is a command-line utility that plays the specified MIDI file(s) to one or more ALSA sequencer ports
arecord | is a command-line soundfile recorder for the ALSA sound card drivers
arecordmidi | is a command-line utility that records a standard MIDI file from one or more ALSA sequencer ports
aseqdump | is a command-line utility that prints the sequencer events it receives as text
aseqnet | is an ALSA sequencer client which sends and receives event packets over a network
axfer | is a command-line recorder and player used to transfer audio frames between sound devices and files
iecset | is a small utility to set or dump the IEC958 (or so-called “S/PDIF”) status bits of the specified sound card via the ALSA control API
speaker-test | is a command-line speaker test tone generator for ALSA

Last updated on 2021-02-21 15:09:04 -0800

- Prev

  alsa-plugins-1.2.2

- Next

  alsa-tools-1.2.2

- Up
- Home